/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#pragma once

#include <rtl/string.hxx>

inline constexpr OStringLiteral HID_SMA_WIN_DOCUMENT = "STARMATH_HID_SMA_WIN_DOCUMENT";
inline constexpr OStringLiteral HID_SMA_COMMAND_WIN_EDIT = "STARMATH_HID_SMA_COMMAND_WIN_EDIT";

inline constexpr OStringLiteral HID_SMA_COMMAND_WIN = "STARMATH_HID_SMA_COMMAND_WIN";

#define HID_SMA_DEFAULT_DIST                              "STARMATH_HID_SMA_DEFAULT_DIST"
#define HID_SMA_LINE_DIST                                 "STARMATH_HID_SMA_LINE_DIST"
#define HID_SMA_ROOT_DIST                                 "STARMATH_HID_SMA_ROOT_DIST"
#define HID_SMA_SUP_DIST                                  "STARMATH_HID_SMA_SUP_DIST"
#define HID_SMA_SUB_DIST                                  "STARMATH_HID_SMA_SUB_DIST"
#define HID_SMA_NUMERATOR_DIST                            "STARMATH_HID_SMA_NUMERATOR_DIST"
#define HID_SMA_DENOMINATOR_DIST                          "STARMATH_HID_SMA_DENOMINATOR_DIST"
#define HID_SMA_FRACLINE_EXCWIDTH                         "STARMATH_HID_SMA_FRACLINE_EXCWIDTH"
#define HID_SMA_FRACLINE_LINEWIDTH                        "STARMATH_HID_SMA_FRACLINE_LINEWIDTH"
#define HID_SMA_UPPERLIMIT_DIST                           "STARMATH_HID_SMA_UPPERLIMIT_DIST"
#define HID_SMA_LOWERLIMIT_DIST                           "STARMATH_HID_SMA_LOWERLIMIT_DIST"
#define HID_SMA_BRACKET_EXCHEIGHT                         "STARMATH_HID_SMA_BRACKET_EXCHEIGHT"
#define HID_SMA_BRACKET_DIST                              "STARMATH_HID_SMA_BRACKET_DIST"
#define HID_SMA_MATRIXROW_DIST                            "STARMATH_HID_SMA_MATRIXROW_DIST"
#define HID_SMA_MATRIXCOL_DIST                            "STARMATH_HID_SMA_MATRIXCOL_DIST"
#define HID_SMA_ATTRIBUT_DIST                             "STARMATH_HID_SMA_ATTRIBUT_DIST"
#define HID_SMA_INTERATTRIBUT_DIST                        "STARMATH_HID_SMA_INTERATTRIBUT_DIST"
#define HID_SMA_OPERATOR_EXCHEIGHT                        "STARMATH_HID_SMA_OPERATOR_EXCHEIGHT"
#define HID_SMA_OPERATOR_DIST                             "STARMATH_HID_SMA_OPERATOR_DIST"
#define HID_SMA_LEFTBORDER_DIST                           "STARMATH_HID_SMA_LEFTBORDER_DIST"
#define HID_SMA_RIGHTBORDER_DIST                          "STARMATH_HID_SMA_RIGHTBORDER_DIST"
#define HID_SMA_UPPERBORDER_DIST                          "STARMATH_HID_SMA_UPPERBORDER_DIST"
#define HID_SMA_LOWERBORDER_DIST                          "STARMATH_HID_SMA_LOWERBORDER_DIST"
#define HID_SMA_BRACKET_EXCHEIGHT2                        "STARMATH_HID_SMA_BRACKET_EXCHEIGHT2"

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
